<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>View Aarticle - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                <li>View Article</li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile">                
                    <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                <div class="clear"></div>

                <div>
                    <?php echo($menu); ?>
                </div>
            </div>
            <div id="rightside">
                <div id="content">
                    <div class="sub-title-s"><?php echo(stripcslashes($article['subject'])); ?></div>
                    <div class="post-info">
                        <span class="right"><img src='./media/images/star_<?php echo($vote_img); ?>.png' alt="" name="star_img" width="86" height="16" align="absmiddle" id="star_img" /></span>
                        <span><?php echo($lang['article_id']); ?>: <?php echo $article['id']; ?> | 
                            <?php echo($lang['category']); ?>: <a href="./index.php?c=article&category=<?php echo($article['cate_id']); ?>"> <?php echo $article_category; ?></a> | 
                            <?php echo($lang['created_date']); ?>: <?php echo $article['create_date']; ?> |
                            <?php echo($lang['views']); ?>: <?php echo $article['views']; ?>
                        </span>
                    </div>
                    <div class="message">
                        <?php
                          if ($article['is_html'] == 1) {
                              echo(stripslashes($article['content']));
                          } else {
                              echo(strip_tags(stripslashes($article['content'])));
                          }
                        ?>
                        <div class="clear"></div>
                    </div>

                    <?php if (count($attach)) { ?>
                          <div>
                              <p><?php echo($lang['attachments']); ?>:</p>
                              <?php foreach ($attach as $k => $v) { ?>
                                  <p><img alt="" src="./media/images/clip.png" /> <a href="./index.php?c=download&model=article&id=<?php echo($v['id']); ?>&key=<?php echo($v['rand_key']); ?>"><?php echo $v['real_name'] ?></a>(<?php echo $v['file_size']; ?>)</p>
                              <?php } ?>
                          </div>
                      <?php } ?>
                    <p>&nbsp; </p>
                    <p>
                        <input type="button" class="btn big btn-green" value="<?php echo($lang['go_back']); ?>" onclick="javascript:history.back()"  />
                    </p>
                </div>
                <div id="footer">
                    <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>

    			<div id="onlinetimer"></div>
        </body>
</html>
