<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>My Profile - <?php echo($setting['page_title']); ?></title>
        <link type="text/css" rel="stylesheet" href="./media/css/front.css" />
        <link rel="stylesheet" type="text/css" href="./media/css/date_input.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.bxSlider.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($setting["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/front.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.date_input.min.js"></script>
        <script type="text/javascript" >
            $(document).ready(function () {
                $($.date_input.initialize);
                $("#language").val('<?php echo $customer_lang ?>');
                $("#area_id").val("<?php echo $customer['area_id'] ?>");
                $("#gender").val("<?php echo $customer['gender'] ?>");
                $("#time_zone").val("<?php echo $customer['time_zone'] ?>");
            });

            $(function() {
                $("#birthday").date_input();
            })

        </script>
    </head>
    <body>
        <div id="wrapper">
            <div id="menu"> <span class="right"> Language:
                    <select name="language" id="language">
                        <?php for ($i = 0; $i < count($language_list); $i++) {
                        ?>
                            <option value="<?php echo($language_list[$i]); ?>"><?php echo(strtoupper($language_list[$i])); ?></option>
                        <?php } ?>
                    </select>
                </span> <span>
                    <ul>
                          <li><a href="./index.php?c=frontTicket&m=sign" title="Submit a new Ticket">Submit Ticket</a></li>
                          <li><a href="./index.php?c=frontTicket&m=ticketList" title="View Submitted Ticket">History Ticket</a></li>
                          <li><a href="./index.php?c=frontTicket&m=profile" title="Change My Profile Infomation">My Profile</a></li>
                          <li><a href="./index.php?c=frontArticle" title="Search Knowledge Base">Knowledge Base</a></li>
                          <li><a href="./index.php?c=frontTicket&m=signOut" title="Sign Out &amp; Return to Homepage">Sign Out</a></li>
                        <li>&nbsp;</li>
                    </ul>
                </span>
                <div class="clear"></div>
            </div>
            <div class="slider">
                <ul id="banner">
                    <li><img src="./media/front/banner_1.jpg" width="768" height="260" alt="Banner" /></li>
                    <li><img src="./media/front/banner_2.jpg" width="768" height="260" alt="Banner" /></li>
                    <li><img src="./media/front/banner_3.jpg" width="768" height="260" alt="Banner" /></li>
                </ul>
            </div>
            <div class="clear"></div>
            <div id="subnav">Customer Area / My Profile</div>
            <div id="content">
                <div>
                    <form action="index.php?c=frontTicket&m=updateProfile" method="post" id="updateProfile" name="updateProfile">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                                <td width="120">First Name<span class="required"></span></td>
                                <td><input name="data[first_name]" type="text" class="form-input" id="first_name" value="<?php echo $customer["first_name"]; ?>" size="30" maxlength="50" /></td>
                            </tr>
                            <?php
                            if ($setting["has_lastname"] == 1) {
                            ?>
                                <tr>
                                    <td width="120">Last Name</td>
                                    <td><input name="data[last_name]" type="text" class="form-input" id="last_name" value="<?php echo $customer["last_name"]; ?>" size="30" maxlength="50" /></td>
                                </tr>
                            <?php
                            }
                            ?>
                            <tr>
                                <td>Email Address<span class="required"></span></td>
                                <td><input name="data[email]" type="text" class="form-input" id="email" value="<?php echo $customer["email"] ?>" size="50" maxlength="50" /> </td>
                            </tr>
                            <tr>
                                <td>Company Name</td>
                                <td><input name="data[company_name]" type="text" class="form-input" id="company_name" value="<?php echo $customer["company_name"] ?>" size="50" maxlength="50" /></td>
                            </tr>
                            <tr>
                                <td>Address</td>
                                <td><input name="data[address]" type="text" class="form-input" id="address" value="<?php echo $customer['address'] ?>" size="50" maxlength="50" /></td>
                            </tr>
                            <tr>
                                <td>Telephone</td>
                                <td><input name="data[telephone]" type="text" class="form-input" id="telephone" value="<?php echo $customer['telephone'] ?>" size="50" maxlength="50" /></td>
                            </tr>
                            <tr>
                                <td>Birthday</td>
                                <td><input name="data[birthday]"  type="text" class="form-input" id="birthday"  value="<?php echo $customer['birthday'] ?>" size="20" maxlength="20"/></td>
                            </tr>
                            <tr>
                                <td>Gender</td>
                                <td><select name="data[gender]" id="gender">
                                        <option value="0"><?php echo($lang['unknow']); ?></option>
                                        <option value="1"><?php echo($lang['male']); ?></option>
                                        <option value="2"><?php echo($lang['female']); ?></option>
                                    </select> </td>
                            </tr>
                            <tr>
                                <td>Area</td>
                                <td> <select name="data[area_id]" id="area_id">
                                        <option value=""><?php echo($lang['unknow']); ?></option>
                                        <?php
                                        foreach ($area_list as $area) {
                                        ?>
                                            <option value="<?php echo($area["id"]); ?>"><?php echo($area["name"]); ?></option>
                                        <?php
                                        }
                                        ?>
                                    </select></td>
                            </tr>
                            <tr>
                                <td>Time Zone:</td>
                                <td>
                                    <select name="data[time_zone]" id="time_zone">
                                        <option value=""><?php echo($lang['unknow']); ?></option>
                                        <option value="-12">(GMT -12:00) Eniwetok, Kwajalein)</option>
                                        <option value="-11">(GMT -11:00) Midway Island, Samoa)</option>
                                        <option value="-10">(GMT -10:00) Hawaii)</option>
                                        <option value="-9">(GMT -9:00) Alaska)</option>
                                        <option value="-8">(GMT -8:00) Pacific Time, Los Angeles, Seattle)</option>
                                        <option value="-7">(GMT -7:00) Mountain Time, Denver)</option>
                                        <option value="-6">(GMT -6:00) Central Time, Chicago, Mexico City)</option>
                                        <option value="-5">(GMT -5:00) Eastern Time, New York, Bogota, Lima)</option>
                                        <option value="-4">(GMT -4:00) Atlantic Time, Caracas, La Paz)</option>
                                        <option value="-3.5">(GMT -3:30) Newfoundland)</option>
                                        <option value="-3">(GMT -3:00) Brazil, Buenos Aires, Georgetown)</option>
                                        <option value="-2">(GMT -2:00) Mid-Atlantic)</option>
                                        <option value="-1">(GMT -1:00 hour) Azores, Cape Verde Islands)</option>
                                        <option value="0">(GMT) Western Europe Time, London, Lisbon, Casablanca)</option>
                                        <option value="1">(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris)</option>
                                        <option value="2">(GMT +2:00) Kaliningrad, South Africa)</option>
                                        <option value="3">(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg)</option>
                                        <option value="3.5">(GMT +3:30) Tehran)</option>
                                        <option value="4">(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi)</option>
                                        <option value="4.5">(GMT +4:30) Kabul)</option>
                                        <option value="5">(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent)</option>
                                        <option value="5.5">(GMT +5:30) Bombay, Calcutta, Madras, New Delhi)</option>
                                        <option value="6">(GMT +6:00) Almaty, Dhaka, Colombo)</option>
                                        <option value="7">(GMT +7:00) Bangkok, Hanoi, Jakarta)</option>
                                        <option value="8">(GMT +8:00) Beijing, Perth, Singapore, Hong Kong)</option>
                                        <option value="9">(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk)</option>
                                        <option value="9.5">(GMT +9:30) Adelaide, Darwin)</option>
                                        <option value="10">(GMT +10:00) Eastern Australia, Guam, Vladivostok)</option>
                                        <option value="11">(GMT +11:00) Magadan, Solomon Islands, New Caledonia)</option>
                                        <option value="12">(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka)</option>
                                    </select></td>
                            </tr>
                            <tr>
                                <td>&nbsp;</td>
                                <td><div class="form-submit">
                                        <input name="btn" type="submit" id="btn" value="Update" />
                                    </div></td>
                            </tr>
                        </table>

                    </form>
                </div>
                <div id="copyright"><?php echo($setting['site_copyright']); ?></div>
            </div>
        </div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
    </body>
</html>
