$(document).ready(function(){

    $("#createRule").submit(function(){
        var options = {
            beforeSubmit : checkUpdateRule,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=emailRule";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
    $("#updateRule").submit(function(){
        var options = {
            beforeSubmit : checkUpdateRule,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=emailRule";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

});


function checkUpdateRule(){
    var c_name = checkObjBlank("#name");
    var c_condition = checkObjBlank("#condition");
    var c_action = checkObjBlank("#action");

    if( c_name && c_condition && c_action){
        showNotice();
        return  true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }

}

function removeRule(id){
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: dialog_del_confirm,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=emailRule&m=remove",
                    type : "get",
                    dataType : "text",
                    data : "id="+id,
                    success:function(data){
                        if(data.indexOf('Error:') == -1){
                            showNotice('success',data, 2000);
                            setTimeout( function(){
                                window.location.reload(true);
                            }, ( 2000 ) );
                        }else{
                            showNotice('error',data, 2000);
                        }
                    }
                });
            }
        }
    });
}


function sortRule(id,direction){
    $.ajax({
        url : "index.php?c=emailRule&m=sort",
        type : "post",
        dataType : "text",
        data : "direction="+direction+"&id="+id,
        success:function(data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
                setTimeout( function(){
                    window.location.reload(true);
                }, ( 2000 ) );
            }else{
                showNotice('error',data, 2000);
            }
        }
    });
    return false;
}

