<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Add Article - <?php echo($setting["software_name"]); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" charset="utf-8" src="./media/editor/kindeditor-min.js"></script>
        <script type="text/javascript" src="./media/editor/editor-config.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/article.js"></script>
        <script type="text/javascript" src="./media/js/attachment.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                <li><a href="./index.php?c=article"><?php echo($lang['article_list_title']); ?></a>/<?php echo($lang['add_article']); ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile">                
                    <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                <div class="clear"></div>

                <div>
                    <?php echo($menu); ?>
                  </div>
              </div>
              <div id="rightside">
                  <div id="content">
                      <form action="index.php?c=article&m=create" method="post" enctype="multipart/form-data" name="createArticle" target="_self" id="createArticle">
                          <label><?php echo($lang['subject']); ?>: <span class="required"></span></label>
                          <p>
                              <input name="data[subject]" type="text" class="form-input" id="subject" value="" size="80" onclick="return clickIpt($(this))" />
                          </p>
                          <label><?php echo($lang['category']); ?>: </label>
                          <p>
                              <select name="data[cate_id]" id="category">
                                <?php foreach ($category_list as $val) {
                                ?>
                                      <option value="<?php echo($val["id"]); ?>"><?php echo(str_repeat("&nbsp;&nbsp;&nbsp;", $val["level"]) . $val["name"]); ?></option>
                                <?php } ?>
                              </select>
                          </p>
                          <label><?php echo($lang['public_or_private']); ?>: </label>
                          <p>
                              <input name="data[is_public]" type="radio"  value="1" checked="checked" />
                            <?php echo($lang['public']); ?> |
                                  <input type="radio"  value="2" name="data[is_public]" />
                            <?php echo($lang['private']); ?>
                              </p>
                              <label><?php echo($lang['type']); ?>: </label>
                              <p>
                                  <input name="data[status]" type="radio"  value="1" checked="checked" />
                            <?php echo($lang['released']); ?> |
                                  <input type="radio"  value="2" name="data[status]" />
                            <?php echo($lang['draft']); ?>
                              </p>
                              <label><?php echo($lang['format']); ?>:</label>

                              <p>
                                  <select name="data[is_html]" id="ishtml">
                                      <option value="1"><?php echo($lang['html_code']); ?> </option>
                                      <option value="0"><?php echo($lang['plain_text']); ?> </option>
                                  </select>
                              </p>
                              <label><?php echo($lang['content']); ?>:</label>
                              <p>
                                  <textarea name="data[content]" cols="80" rows="30" class="full" id="editor_message" >
                                  </textarea>
                              </p>
                              <?php
                                if($setting["article_attach_on"]){
                                    ?>
                              <label><?php echo($lang['reupload_attachment']); ?>: </label>
                              <!-- attach -->
                        <?php                          
                                  for ($i = 0; $i < $setting['article_attach_number']; $i++) {
                        ?>
                                      <p>
                                          <input type="file" size="40" name="attachment[]" />
                                      </p>
                        <?php }

                        ?>
                                  <p><?php echo($lang['maximum_file_size']); ?>: <?php echo $setting['article_attach_size'] . " Kb (" . round($setting['article_attach_size'] / 1024, 2) . " Mb)" ?></p>

                                  <?php } ?>
                                  <p>
                                      <input name="submit_btn" type="submit" class="btn big btn-blue" id="submit_btn" value="<?php echo($lang['save_article']); ?>" />
                                  </p>
                                  <p>&nbsp;</p>
                              </form>
                          </div>
                          <div id="footer">
                              <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
        <div id="onlinetimer"></div>
    </body>
</html>
