<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Customer Trash List - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="./media/fancybox/jquery.fancybox-1.3.4.css" media="screen" />
        <link rel="stylesheet" href="./media/css/jquery.jmodal.css" type="text/css" />

        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/customer.js"></script>
        <script  type="text/javascript" src="./media/fancybox/jquery.fancybox-1.3.4.js"></script>
        <script type="text/javascript" src="./media/js/jquery.jmodal.js"></script>

        <script type="text/javascript">
            $(document).ready(function(){
                load_fancybox();
            });
        </script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="./index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Customer" maxlength="50" id="q" class="keywords" name="keyword" onclick="if(this.value=='Search Customer')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" />
                    </span>
                    <input name="c" type="hidden" value="customer" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>                
                <li><a href="./index.php?c=customer">Customer</a></li>
                <li>/</li>
                <li>Trash</li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile"> <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                <div class="clear"></div>
                <div> <?php echo($menu); ?> </div>
            </div>
            <div id="rightside">
                <div id="content">
                  <form action="index.php?c=customer" method="get" enctype="multipart/form-data" name="SearchForm" target="_self" id="SearchForm">
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr >
                        <td width="240" nowrap="nowrap"><?php echo $lang['key_word']; ?>&nbsp;:
                          <input type="text" name="keyword" id="keyword" value="" class="ipt" /></td>
                        <td width="80"><select name="filter[hierarchy_id]" id="hierarchy">
                          <option value="" selected="selected">Hierarchy</option>
                          <?php foreach ($hierarchy_list as $key => $hierarchy) {
                                              ?>
                          <option value="<?php echo($key); ?>"><?php echo($hierarchy) ?></option>
                          <?php } ?>
                        </select></td>
                        <td width="80"><select name="filter[gender]" id="gender">
                          <option value="" selected="selected"><?php echo($lang['gender']); ?></option>
                          <option value="1"><?php echo($lang['male']); ?></option>
                          <option value="2"><?php echo($lang['female']); ?></option>
                        </select></td>
                        <td width="80"><select name="filter[area_id]" id="area">
                          <option value=""  selected="selected"><?php echo($lang['area']); ?></option>
                          <?php
                                          foreach ($area_list as $key => $area) {
                                              ?>
                          <option value="<?php echo($key); ?>"><?php echo($area); ?></option>
                          <?php
                                          }
                                        ?>
                        </select></td>
                        <td width="80"><select name="data_range" id="data_range">
                          <option value="" selected="selected"><?php echo($lang['any_time']); ?></option>
                          <option value="1"><?php echo($lang['past_24_hours']); ?></option>
                          <option value="7"><?php echo($lang['past_week']); ?></option>
                          <option value="30"><?php echo($lang['past_month']); ?></option>
                          <option value="365"><?php echo($lang['past_year']); ?></option>
                        </select></td>
                        <td width="40"><input name="input" id="search-btn" type="image" src="./media/images/search_btn.gif" />
                          <input name="c" type="hidden" id="c" value="customer" />
                          <input name="m" type="hidden" id="m" value="trash" />
                          </td>
                        <td><input name="advancedSearch" type="button" class="btn" onclick="window.location.href='./index.php?c=customer&amp;m=advanceSearchForm'" id="advancedSearch" value="Advanced Search" /></td>
                        <td><div class="record_count"><?php echo($lang['result']); ?>: <span id="cur_number"><?php echo($record_count); ?></span></div></td>
                      </tr>
                    </table>
                  </form>
                  <?php
                      if ($record_count == 0) {
                          ?>
          <div class='notice'><?php echo($lang['no_match_record']); ?></div>
                          <?php
                      } else {
                          ?>
                          <table width="100%" border="0" cellpadding="0" cellspacing="0" id="tablehover">
                              <tr>
                              <th width="20"><input name="checkall" type="checkbox" id="checkall" value="1" /></th>
                                  <th><?php echo($lang['name']); ?></th>
                                  <th><?php echo($lang['email_address']); ?></th>
                                  <th>Hierarchy</th>
                          
                                  <th><?php echo($lang['company_name']); ?></th>
                                  <th width="210"><?php echo($lang['actions']); ?></th>
                              </tr>
                              <?php
                              $num = 1;
                              foreach ($customer_list as $customer) {
                                  ?>
                                  <tr>
                                  <td><input name='ids[]' type='checkbox' id="customer_<?php echo($customer['id']); ?>"  value='<?php echo($customer['id']); ?>' /></td>
                                      <td><a  class="popupwin" href="./index.php?c=customer&m=view&id=<?php echo $customer['id'] ?>"><?php echo $customer['first_name'] . ' ' . $customer['last_name'] ?></a></td>
                                      <td><?php echo $customer['email'] ?></td>
                                      <td><?php echo $customer['hierarchy'] ?></td>
                                      <td><?php echo $customer['company_name'] ?></td>
                                      <td>
                                          <span class="action_btn edit"><a href="./index.php?c=customer&m=edit&id=<?php echo $customer['id'] ?>" title="Edit"></a></span>
                                          <span  class="action_btn dele-1"><a href="javascript:void(0)" onclick="removeCustomer(<?php echo $customer['id'] ?>)" title="<?php echo($lang['removed_alt'][1]); ?>"></a></span>
                                          <span class="action_btn ticket"><a href="./index.php?c=ticket&filter[customer_id]=<?php echo $customer['id'] ?>" title="View Ticket"></a></span></td>
                                  </tr>
                                  <?php
                                  $num++;
                              }
                              ?>
                          </table>
                          <div class="bottom-options">
                                              <div class="quick_button"><a href="javascript:void(0);" onclick="deleteSelected()" class="btn-link"><span>Delete Permanently</span></a></div>
                                                  <div id="page-list"><?php echo($page_link) ?></div>                                                  
                                              </div>
                                              <div class="clear"></div>
  <?php } ?>
                    
                </div>
                <div id="footer">
                    <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" height="18" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
    			<div id="onlinetimer"></div>
        </body>
</html>
