<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Ticket submitted - <?php echo($setting['page_title']); ?></title>
        <link type="text/css" rel="stylesheet" href="./media/css/front.css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.bxSlider.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($setting["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/front.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $("#language").val('<?php echo $customer_lang ?>');
            }); 
        </script>
    </head>
    <body>
        <div id="wrapper">
            <div id="menu"> <span class="right"> Language:
                    <select name="language" id="language">
                        <?php for ($i = 0; $i < count($language_list); $i++) { ?>
                              <option value="<?php echo($language_list[$i]); ?>"><?php echo(strtoupper($language_list[$i])); ?></option>
                          <?php } ?>
                    </select>
                </span> <span>
                    <ul>
                          <li><a href="./index.php?c=frontTicket&m=sign" title="Submit a new Ticket">Submit Ticket</a></li>
                          <li><a href="./index.php?c=frontTicket&m=ticketList" title="View Submitted Ticket">History Ticket</a></li>
                          <li><a href="./index.php?c=frontTicket&m=profile" title="Change My Profile Infomation">My Profile</a></li>
                          <li><a href="./index.php?c=frontArticle" title="Search Knowledge Base">Knowledge Base</a></li>
                          <li><a href="./index.php?c=frontTicket&m=signOut" title="Sign Out &amp; Return to Homepage">Sign Out</a></li>
                        <li>&nbsp;</li>
                    </ul>
                </span>
                <div class="clear"></div>
            </div>
            <div class="slider">
                <ul id="banner">
                    <li><img src="./media/front/banner_1.jpg" width="768" height="260" alt="Banner" /></li>
                    <li><img src="./media/front/banner_2.jpg" width="768" height="260" alt="Banner" /></li>
                    <li><img src="./media/front/banner_3.jpg" width="768" height="260" alt="Banner" /></li>
                </ul>
            </div>
            <div class="clear"></div>
            <div id="subnav">Customer Area / Submitted</div>
            <div id="content">
                <div>
                    <p align="center"><img src="./media/front/signed.png" alt="Success" width="128" height="128" /></p>
                    <p align="center">&nbsp;</p>
                    <p align="center"><strong><?php echo($lang['user_ticket_created']); ?></strong></p>
                    <p><br />
                        <?php echo($lang['user_created_ticket_successful']); ?> <br />
                        <br />
                        <?php echo(sprintf($lang['user_ticket_info'], $id, $key)); ?> <?php echo($lang['member_our_address']); ?> <br />
                        <br />
                        <b><?php echo($lang['note']); ?>:</b> <?php echo($lang['busy_declare']); ?> </p>
                    <div class="form-submit">
                        <input name="btn" type="button" id="btn" value="<?php echo($lang['view_now']); ?>" onclick="window.location.href='index.php?c=frontTicket&m=view&id=<?php echo($id); ?>&key=<?php echo($key); ?>'" />
                    </div>
                </div>
            </div>
            <div id="copyright"><?php echo($setting['site_copyright']); ?></div>
        </div>

    </body>
</html>
