<?php
  $basepath = preg_replace('/(install.+)/', '', str_replace('\\', '/', dirname(__FILE__)));
  $foldername = substr(preg_replace('/(\/install.*)/i', '', str_replace('\\', '/', dirname($_SERVER['PHP_SELF']))), 1);     //remove '/'

  $http_protocol = (isset($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS'] != 'off ')) ? 'https' : 'http';
  $http_port = (!isset($_SERVER['SERVER_PORT']) || $_SERVER['SERVER_PORT'] != '80') ? ":" . $_SERVER['SERVER_PORT'] : "";
  $baseurl = $http_protocol . "://" . $_SERVER['HTTP_HOST'] . $http_port . "/" . (!empty($foldername) ? $foldername . '/' : '');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
      <head>
          <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
          <title>Setup 3 - <?php echo $set["product_name"] . " " . $set["product_version"]; ?></title>
          <link href="style.css" rel="stylesheet" type="text/css" />
          <script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
          <script type="text/javascript" src="js/jquery.form.js"></script>
          <script type="text/javascript" src="js/kode_functions.js"></script>
      </head>

      <body>
          <div id="container">
              <div id="head">
                  <div id="banner"><img src="images/top_head.gif" width="200" height="120" alt="Top" /></div>
                  <div id="logo"><img src="images/logo.png" width="216" height="80" alt="Logo" /></div>
              </div>
              <div id="area">Version: <?php echo $set["product_version"]; ?> </div>
              <div id="main">
                  <div id="content_left">
                      <div class="title"> <?php echo($lang['database_configuration']); ?></div>
                      <form action="operations.php" method="post" enctype="application/x-www-form-urlencoded" id="saveForm" name="saveForm">
                          <div id="mysql_form">
                              <div class="table">
                                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                      <tr>
                                          <td width="140"><label><?php echo($lang['mysql_host_address']); ?>:</label></td>
                                          <td><input name="mysql_host" id="mysql_host" type="text" value="<?php echo $set["default_mysql_host"]; ?>" /></td>
                                      </tr>
                                      <tr>
                                          <td><label><?php echo($lang['mysql_port']); ?>:</label></td>
                                          <td><input name="mysql_port" id="mysql_port" type="text" value="<?php echo $set["default_mysql_port"]; ?>" /></td>
                                      </tr>
                                      <tr>
                                          <td><label><?php echo($lang['database_name']); ?>:</label></td>
                                          <td><input name="mysql_db_name" id="mysql_db_name" type="text" value="<?php echo $set["default_db_name"]; ?>" /></td>
                                      </tr>
                                      <tr>
                                          <td><label><?php echo($lang['table_prefix']); ?>:</label></td>
                                          <td><input name="mysql_table_prefix" id="mysql_table_prefix" type="text" value="<?php echo $set["mysql_table_prefix"]; ?>" /></td>
                                      </tr>
                                      <tr>
                                          <td><label><?php echo($lang['database_account']); ?>:</label></td>
                                          <td><input name="mysql_username" id="mysql_username" type="text" value="" /></td>
                                      </tr>
                                      <tr>
                                          <td><label><?php echo($lang['database_password']); ?>:</label></td>
                                          <td><input name="mysql_password" id="mysql_password" type="password" value="" /></td>
                                      </tr>
                                  </table>
                              </div>
                              <div id="mysql_result" class="kode_box kode_box-warning"><?php echo($lang['warning']); ?></div>
                              <div class="btn-box">
                                  <input name="Button" type="button" class="kode_button" value="<?php echo($lang['test_connect']); ?>" onclick="connectMySQL()" />
                              </div>
                          </div>
                          <div class="title"><?php echo($lang['set_admin_information']); ?></div>
                          <div class="table">
                              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                  <tr>
                                      <td width="140"><?php echo($lang['login_account']); ?>:</td>
                                      <td><input name="admin_username" type="text" value="admin" /></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['password']); ?>:</td>
                                      <td><input name="admin_password"  type="text" value="admin" /></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['email_address']); ?>:</td>
                                      <td><input name="email" type="text" value="" size="30" /></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['home_page']); ?>:</td>
                                      <td><input name="website" type="text" id="website" value="<?php echo $baseurl; ?>" size="30" /></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['install_path']); ?>:</td>
                                      <td><input name="installation_path" type="text" value="<?php echo $basepath; ?>" size="30" /></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['select_time_zone']); ?>:</td>
                                      <td></td>
                                  </tr>
                                  <tr>
                                      <td colspan="2">&nbsp;</td>
                                  </tr>
                              </table>
                          </div>
                          <div id="install_info"></div>
                          <div id="install_result"></div>
                          <div class="btn-box">
                              <input type="button" class="kode_button kode_button-green" value="<?php echo($lang['last_step']); ?>" onclick="window.location.href='./?step=2';" />
                              <input name="Submit" type="submit" class="kode_button kode_button-blue" value="<?php echo($lang['start_install']); ?>" />
                              <input name="action" type="hidden" id="kode_action" value="startInstall" />
                              <input name="db_type" type="hidden" value="mysql" />
                          </div>
                      </form>
                  </div>
                  <div id="content_right">
                      <div  id="kode_step">
                          <div id="title"><?php echo($lang['installation_steps']); ?></div>
                          <ul>
                              <li><?php echo($lang['license']); ?></li>
                              <li><?php echo($lang['requirement']); ?></li>
                              <li class="now"><?php echo($lang['parameters']); ?></li>
                              <li><?php echo($lang['installing']); ?></li>
                              <li><?php echo($lang['completed']); ?></li>
                          </ul>
                      </div>
                  </div>
                  <div class="spacer"></div>
              </div>
              <div id="footer">
                  <div id="copyright"><?php echo $set["product_copyright"] ?></div>
            </div>
        </div>
    </body>
</html>
