$(document).ready(function(){

    $("#updateProfile").submit(function(){
        var options = {
            beforeSubmit : checkUpdateProfile,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.reload(true);
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
    
    $("#changePassword").submit(function(){
        var options = {
            beforeSubmit : checkChangePassword,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#updateAvatar").submit(function(){
        showNotice();
        var options = {
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    window.location.reload(true);
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        
        $(this).ajaxSubmit(options);        
        return false;
    });

});


function checkChangePassword(){
    var c_newpassword = checkObjBlank("#newpassword");
    var c_comfirmpassword = checkObjBlank("#comfirmpassword");
    var c_oldpassword = checkObjBlank("#oldpassword");

    if(c_oldpassword && c_newpassword &&  c_comfirmpassword){
        var result = checkObjLen("#newpassword",6);
        if( result != ""){
            showNotice( 'error',"Password " + result,2000);
            return false;
        }
        showNotice()
        return true;
    }else{
        showNotice('error',friend_required_error,2000);
        return false;
    }

}

function checkUpdateProfile(){
    var c_name = checkObjBlank("#first_name");
    var c_email = checkObjBlank("#email");

    if(c_name && c_email){
        if(checkObjEmail("#email") == false){
            showNotice( 'error',error_email_address_format,2000);
            return false;
        }
        showNotice();
        return  true;
    }else{
        showNotice('error',required_error,2000);
        return false;
    }
}

function clearAvatar(){
    showNotice();
    $.ajax({
        url : "index.php?c=account&m=clearAvatar",
        type : "post",
        datatype : "text",
        success: function(responseText){
            if(responseText.indexOf('Error:') == -1){
                showNotice('success',responseText, 2000);
                window.location.reload(true);
            }else{
                showNotice('error',responseText, 2000);
            }
        }
    });
    return true;
}