<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang['received_emails']); ?> - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/retrieveLog.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
            <div id="location">
                <ul>
                    <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                    <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                    <li><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></li>
                </ul>
            </div>
            <div id="wrapper">
                <div id="leftside">
                    <div id="nav_profile">                
                        <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                        <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                        <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                    </div>
                    <div class="clear"></div>
                    <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                    <div class="clear"></div>

                    <div>
                        <?php echo($menu); ?>
                    </div>
                </div>
                <div id="rightside">
                    <div id="content">
                        <div id="received" class="hidden"><img src="./media/images/loading.gif" alt="Loading" /></div>
                        <?php if (empty($received)) {
                              ?>
                              <div class="notice">
                                  <?php echo($lang['no_records_found']); ?></div>
                              <?php
                          } else {
                              ?>
                              <div id="list_info">                       
                                  <div class="record_count"><?php echo($lang['result']); ?>: <span id="cur_number"><?php echo($record_count); ?></span></div>
                              </div>
                              <form action="index.php?c=receiveEmail&m=removeReceived" method="post" enctype="application/x-www-form-urlencoded" name="removeReceived" target="_self" id="removeReceived">
                                  <div><span class="right"><?php echo($lang['result']); ?>: <?php echo($record_count); ?></span>
                                  </div>

                                  <table id="tablehover" width="100%" cellspacing="0" cellpadding="0">
                                      <tr>
                                          <th width="40"><input name="checkall" id="checkall" type="checkbox" value="1" /></th>
                                          <th><?php echo($lang['sender']); ?></th>
                                          <th><?php echo($lang['receiver']); ?></th>
                                          <th width="100"><?php echo($lang['ticket_id']); ?></th>
                                          <th width="140"><?php echo($lang['added_date']); ?></th>
                                      </tr>
                                      <tr>
                                          <td colspan="8"></td>
                                      </tr>
                                      <?php
                                      foreach ($received as $val) {
                                          ?>
                                          <tr>
                                              <td><input name="" type="checkbox" value="<?php echo($val['id']); ?>" /></td>
                                              <td><?php echo($val['poster']); ?></td>
                                              <td><?php echo($val['receiver']); ?></td>
                                              <td><a href="./index.php?c=ticket&m=view&id=<?php echo($val['id']) ?>"><?php echo($val['id']) ?></a></td>
                                              <td><?php echo(($val['create_date'])); ?></td>
                                          </tr>
                                          <?php
                                      }
                                  }
                                ?>
                            </table>
                            <div class="bottom-options">
                                <input name="removeBtn" type="submit" class="btn btn-blue" id="removeBtn" value="<?php echo($lang['remove_selected']); ?>" />                            
                            </div>
                        </form>
                        <div id="page-list"><?php echo($page_link) ?></div>

                    </div>
                    <div id="footer">
                        <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
            <div id="notification-box">
                <div id="notification"></div>
            </div>
        			<div id="onlinetimer"></div>
        </body>
</html>
